function onBegin()
  if not (getFlag("endingrealforreal")) then
    disableMovement()
	local luanet = _G.luanet
    coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(17098, -220), 1))
    run(-48)
    say("ssc2024_xolimono_realendingforreal")
    run(8)
    wait(.5)
	player.Facing = getEnum("Celeste.Facings", "Left")
    say("ssc2024_xolimono_goodnight")
    setFlag("endingrealforreal", true)
  end
end

function onEnd()
  setFlag("endingrealforreal", true)
  enableMovement()
end